get connection by id

The get connection by id API sends a GET request to retrieve a connection.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Prerequisites

  • The caller must provide a connection id.

Authorization

  • API key (via the X-API-KEY header).

Parameters

Path Parameters
Field nameDescriptionFormat
idConnection IDUUID
Query Parameters
Field nameDescriptionFormat
usageShow usageBoolean
Response Body
Field nameDescriptionFormat
idConnection IDUUID
nameThe name of the connectionString
connectorThe type of connectorString
descriptionConnection descriptionString
profilesConnection profilesMap
modifiedAtThe date and time of modificationString
modifiedByModified byString
createdAtThe date and time of creationString
createdByCreated byString
usageUsage quantityInteger
Profile Structure
Field nameDescriptionFormat
profileNameKeyString
profileValueProfile configJsonElement

Examples

{
  "id": "00000000-0000-0000-0000-000000000001",
  "name": "connection-mainframe-rpc",
  "connector": "mainFrameRpc",
  "description": "example mainframe-rpc connection",
  "profiles": {
    "$default": {
      "baseUrl": "http://cics.example.internal",
      "uriMap": "/example/latest",
      "port": "12345",
      "codePage": "cp037"
    }
  },
  "modifiedAt": "2026-01-01T00:00:00.000000Z",
  "modifiedBy": "John Doe",
  "createdAt": "2026-01-01T00:00:00.000000Z",
  "createdBy": "John Doe",
  "usage": 0
}
Path Params
string
required
Query Params
boolean
Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json